# volume group

Block Storage v3

## volume group create

Create a volume group.

Generic volume groups enable you to create a group of volumes and manage them together.

Generic volume groups are more flexible than consistency groups. Currently volume consistency groups only support consistent group snapshot. It cannot be extended easily to serve other purposes. A project may want to put volumes used in the same application together in a group so that it is easier to manage them together, and this group of volumes may or may not support consistent group snapshot. Generic volume group solve this problem. By decoupling the tight relationship between the group construct and the consistency concept, generic volume groups can be extended to support other features in the future.

This command requires `--os-volume-api-version` 3.13 or greater.

    openstack volume group create
        [--volume-group-type
        <volume_group_type>
        |
        --source-group <source-group>
        |
        --group-snapshot <group-snapshot>
        ]
        [--volume-type <volume_type>]
        [--name <name>]
        [--description <description>]
        [--availability-zone <availability-zone>]

--volume-group-type <volume_group_type>

  Volume group type to use (name or ID)

--volume-type <volume_type>

  Volume type(s) to use (name or ID) (required with –volume-group-type)

--source-group <source-group>

  Existing volume group to use (name or ID) (supported by –os-volume-api-version 3.14 or later)

--group-snapshot <group-snapshot>

  Existing group snapshot to use (name or ID) (supported by –os-volume-api-version 3.14 or later)

--name <name>

  Name of the volume group.

--description <description>

  Description of a volume group.

--availability-zone <availability-zone>

  Availability zone for volume group. (not available if creating group from source)

## volume group delete

Delete a volume group.

This command requires `--os-volume-api-version` 3.13 or greater.

    openstack volume group delete [--force] <group>

--force

  Delete the volume group even if it contains volumes. This will delete any remaining volumes in the group.

group

  Name or ID of volume group to delete

## volume group list

Lists all volume groups.

This command requires `--os-volume-api-version` 3.13 or greater.

    openstack volume group list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Shows details for all projects (admin only).

## volume group failover

Failover replication for a volume group.

This command requires `--os-volume-api-version` 3.38 or greater.

    openstack volume group failover
        [--allow-attached-volume]
        [--disallow-attached-volume]
        [--secondary-backend-id <backend_id>]
        <group>

--allow-attached-volume

  Allow group with attached volumes to be failed over.

--disallow-attached-volume

  Disallow group with attached volumes to be failed over.

--secondary-backend-id <backend_id>

  Secondary backend ID.

group

  Name or ID of volume group to failover replication for.

## volume group set

Update a volume group.

This command requires `--os-volume-api-version` 3.13 or greater.

    openstack volume group set
        [--name <name>]
        [--description <description>]
        [--enable-replication]
        [--disable-replication]
        <group>

--name <name>

  New name for group.

--description <description>

  New description for group.

--enable-replication

  Enable replication for group. (supported by –os-volume-api-version 3.38 or above)

--disable-replication

  Disable replication for group. (supported by –os-volume-api-version 3.38 or above)

group

  Name or ID of volume group.

## volume group show

Show detailed information for a volume group.

This command requires `--os-volume-api-version` 3.13 or greater.

    openstack volume group show
        [--volumes]
        [--no-volumes]
        [--replication-targets]
        [--no-replication-targets]
        <group>

--volumes

  Show volumes included in the group. (supported by –os-volume-api-version 3.25 or above)

--no-volumes

  Do not show volumes included in the group. (supported by –os-volume-api-version 3.25 or above)

--replication-targets

  Show replication targets for the group. (supported by –os-volume-api-version 3.38 or above)

--no-replication-targets

  Do not show replication targets for the group. (supported by –os-volume-api-version 3.38 or above)

group

  Name or ID of volume group.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.